#pragma once
#include "EntityState.h"
#include "PeReadyBar.h"
#include "CS_QuoteBoosterDash.h"
extern const int CS_QuoteSTATENAME_BOOSTER;
//ÍÆ½øÆ÷2.0
class CS_QuoteBooster :
    public EntityState
{
public:
    CS_QuoteBooster();
    void State() override;
    void SetPhysice(bool bInWater) override;
    static bool ReadyBar_Leave(std::weak_ptr<Entity> e);
    static void ReadyBar_Destroy(std::weak_ptr<Entity> e);
    void QuitBoost();
    std::weak_ptr<PeReadyBar> fuelBar;
    float fcounter = 0;
    int fuel_counter = 0;
    int fuel_counter_max = 50;
    int boostDir = 0;
    bool inBoost = false;
    bool lastInWater = false;
    std::weak_ptr<CS_QuoteBoosterDash> dashAtk;
};

